Artboard
Data API Keys

Create a Data API Key (unauthenticated)

This special endpoint doesn't require OttoFMS authentication, allowing you to create API keys with only the FileMaker File credentials. This method doesn't support the returnExisting option, so it will always create a new key if the credentials are valid.

POST
/otto/api/api-key/create-only

Request Body

application/json

POST /otto/api/api-key/create-only Request body

database?string

(Legacy) Single database this key can access. Use 'databases' for multiple.

Match.fmp12
databases?array<>

List of database names this key can access

label?string
Default"(no label)"
user*string
pass*string
isDataApi?boolean
Defaulttrue
isOData?boolean
allowAnyDatabase?boolean

If true, this key can access any database on the server

Response Body

application/json

application/json

curl -X POST "https://your.server.net/otto/api/api-key/create-only" \  -H "Content-Type: application/json" \  -d '{    "user": "string",    "pass": "string"  }'
{
  "response": {},
  "messages": [
    {
      "code": 0,
      "text": "ok"
    }
  ]
}
{
  "response": {},
  "messages": [
    {
      "code": 18011,
      "text": "OttoFMS sample error"
    }
  ]
}